

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Ap_TabacchiNew]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)

/****** Object:  Table [dbo].[Ap_TabacchiNew]    Script Date: 04/05/2017 18:33:04 ******/

BEGIN

CREATE TABLE [dbo].[Ap_TabacchiNew](
	[CodiceProdotto] [varchar](50) NULL,
	[Barcode] [varchar](50) NULL,
	[BarcodeBox] [varchar](50) NULL,
	[QtaBox] [int] NULL,
	[CoeffConversione] [decimal](18, 4) NULL,
	[Descrizione] [varchar](50) NULL,
	[TipoProdotto] [varchar](50) NULL,
	[DataDecorrenza] [datetime] NULL,
	[PrezzoVendita] [decimal](18, 2) NULL,
	[PrezzoKG] [decimal](18, 2) NULL,
	[UnitaMinKG] [decimal](18, 3) NULL,
	[ModificatoFIT] [bit] NULL,
	[ModificatoLogista] [bit] NULL,
	[TipoConfezione] [varchar](100) NULL
) ON [PRIMARY]
END

/****** ADD NUOVO CAMPO MODIFICA PREZZO AGIUNTO ******/

IF NOT EXISTS(SELECT 1
FROM sysobjects,
syscolumns
WHERE sysobjects.id = syscolumns.id
AND sysobjects.name = 'Ap_TabacchiNew'
AND syscolumns.name = 'PrezzoModificato')
BEGIN 
ALTER TABLE dbo.Ap_TabacchiNew ADD
	PrezzoModificato int NOT NULL CONSTRAINT DF_Ap_TabacchiNew_PrezzoModificato DEFAULT 0
END
